function m=mediacolor(subImage)
o=[0,0,0];
m=[0,0,0];
[x,y,z]=size(subImage);
for i=1:x
    for j=1:y
        for k=1:z            
            if subImage(i,j,k)>0
                o(k)=o(k)+1;      %por cada dimension el numero de elmentos distintos de 0                            
            end 
            p=sum(sum(subImage)); %La suma de todos los puntos en una dimension k
            m(k)=p(:,:,k)/o(k);   %la media 
        end
    end
end